testdata:
  IdRepository_UpdateVidStatus_withVidStatus_USED_For Vid Type_Temporary:
    input.create-request:
      version: $version$
      requesttime: $TIMESTAMPZ$
      vidStatus: USED
      id: $TestData:id_UpdateVid_valid$
    output.output-1-expected-y-res:
      output.1.res.status: USED
      output.1.res.responsetime: $IGNORE$
      output.1.res.version: $version$
      output.1.res.VID: $IGNORE$
      output.1.res.id: $TestData:id_UpdateVid_valid$
        
  IdRepository_UpdateVidStatus_withInvalidverion_ForVidType_Temporary:
    input.create-request:
      version: $TestData:id_version_invalid$
      requesttime: $TIMESTAMPZ$
      vidStatus: USED
      id: $TestData:id_UpdateVid_valid$
    output.output-1-expected-n-res:
      output.1.res.n.version: $version$ 
      output.1.res.n.responsetime: $IGNORE$
      output.1.res.n.errorCode:  $errors:VidInvalidVersion:errorCode$
      output.1.res.n.errormessage: $errors:VidInvalidVersion:errorMessage$
      output.1.res.n.id: $TestData:id_UpdateVid_valid$
  
  IdRepository_UpdateVidStatus_withInvalidRequestTime_ForVidType_Temporary:
    input.create-request:
      version: $version$
      requesttime: $TIMESTAMP$
      vidStatus: USED
      id: $TestData:id_UpdateVid_valid$
    output.output-1-expected-n-res:
      output.1.res.n.version: $version$ 
      output.1.res.n.responsetime: $IGNORE$
      output.1.res.n.errorCode:  $errors:VidInvalidRequestTime:errorCode$
      output.1.res.n.errormessage: $errors:VidInvalidRequestTime:errorMessage$
      output.1.res.n.id: $TestData:id_UpdateVid_valid$
  
  IdRepository_UpdateVidStatus_withInvalidVIDStatus_ForVidType_Temporary:
    input.create-request:
      version: $version$
      requesttime: $TIMESTAMPZ$
      vidStatus: 1234
      id: $TestData:id_UpdateVid_valid$
    output.output-1-expected-n-res:
      output.1.res.n.version: $version$ 
      output.1.res.n.responsetime: $IGNORE$
      output.1.res.n.errorCode:  $errors:VidInvalidVidStatus:errorCode$
      output.1.res.n.errormessage: $errors:VidInvalidVidStatus:errorMessage$
      output.1.res.n.id: $TestData:id_UpdateVid_valid$
  
  IdRepository_UpdateVidStatus_withInvalidId_ForVidType_Temporary:
    input.create-request:
      version: $version$
      requesttime: $TIMESTAMPZ$
      vidStatus: 1234
      id: $TestData:id_AddIdentity_Invalid$
    output.output-1-expected-n-res:
      output.1.res.n.version: $version$ 
      output.1.res.n.responsetime: $IGNORE$
      output.1.res.n.errorCode:  $errors:VidInvalidId:errorCode$
      output.1.res.n.errormessage: $errors:VidInvalidId:errorMessage$
      output.1.res.n.id: $TestData:id_UpdateVid_valid$
   
  IdRepository_UpdateVidStatus_withMissingverion_ForVidType_Temporary:
    input.create-request:
      version: $REMOVE$
      requesttime: $TIMESTAMPZ$
      vidStatus: USED
      id: $TestData:id_UpdateVid_valid$
    output.output-1-expected-n-res:
      output.1.res.n.version: $version$ 
      output.1.res.n.responsetime: $IGNORE$
      output.1.res.n.errorCode:  $errors:VidMissingVersion:errorCode$
      output.1.res.n.errormessage: $errors:VidMissingVersion:errorMessage$
      output.1.res.n.id: $TestData:id_UpdateVid_valid$
  
  IdRepository_UpdateVidStatus_withMissingRequestTime_ForVidType_Temporary:
    input.create-request:
      version: $version$
      requesttime: $REMOVE$
      vidStatus: USED
      id: $TestData:id_UpdateVid_valid$
    output.output-1-expected-n-res:
      output.1.res.n.version: $version$ 
      output.1.res.n.responsetime: $IGNORE$
      output.1.res.n.errorCode:  $errors:VidMissingRequestTime:errorCode$
      output.1.res.n.errormessage: $errors:VidMissingRequestTime:errorMessage$
      output.1.res.n.id: $TestData:id_UpdateVid_valid$
  
  IdRepository_UpdateVidStatus_withMissingVIDStatus_ForVidType_Temporary:
    input.create-request:
      version: $version$
      requesttime: $TIMESTAMPZ$
      vidStatus: $REMOVE$
      id: $TestData:id_UpdateVid_valid$
    output.output-1-expected-n-res:
      output.1.res.n.version: $version$ 
      output.1.res.n.responsetime: $IGNORE$
      output.1.res.n.errorCode:  $errors:MissingVidStatus:errorCode$
      output.1.res.n.errormessage: $errors:MissingVidStatus:errorMessage$
      output.1.res.n.id: $TestData:id_UpdateVid_valid$
  
  IdRepository_UpdateVidStatus_withMissingId_ForVidType_Temporary:
    input.create-request:
      version: $version$
      requesttime: $TIMESTAMPZ$
      vidStatus: 1234
      id: $REMOVE$
    output.output-1-expected-n-res:
      output.1.res.n.version: $version$ 
      output.1.res.n.responsetime: $IGNORE$
      output.1.res.n.errorCode:  $errors:VidMissingId:errorCode$
      output.1.res.n.errormessage: $errors:VidMissingId:errorMessage$
      output.1.res.n.id: $TestData:id_UpdateVid_valid$
  
  IdRepository_UpdateVidStatus_withVidStatus_USED_For Vid Type_Perpetual:
    input.create-request:
      version: $version$
      requesttime: $TIMESTAMPZ$
      vidStatus: USED
      id: $TestData:id_UpdateVid_valid$
    output.output-1-expected-y-res:
      output.1.res.status: ACTIVE
      output.1.res.responsetime: $IGNORE$
      output.1.res.version: $version$
      output.1.res.VID: $IGNORE$
      output.1.res.id: $TestData:id_UpdateVid_valid$
 
       
  IdRepository_UpdateVidStatus_withInvalidverion_ForVidType_Perpetual:
    input.create-request:
      version: $TestData:id_version_invalid$
      requesttime: $TIMESTAMPZ$
      vidStatus: USED
      id: $TestData:id_UpdateVid_valid$
    output.output-1-expected-n-res:
      output.1.res.n.version: $version$ 
      output.1.res.n.responsetime: $IGNORE$
      output.1.res.n.errorCode:  $errors:VidInvalidVersion:errorCode$
      output.1.res.n.errormessage: $errors:VidInvalidVersion:errorMessage$
      output.1.res.n.id: $TestData:id_UpdateVid_valid$
  
  IdRepository_UpdateVidStatus_withInvalidRequestTime_ForVidType_Perpetual:
    input.create-request:
      version: $version$
      requesttime: $TIMESTAMP$
      vidStatus: USED
      id: $TestData:id_UpdateVid_valid$
    output.output-1-expected-n-res:
      output.1.res.n.version: $version$ 
      output.1.res.n.responsetime: $IGNORE$
      output.1.res.n.errorCode:  $errors:VidInvalidRequestTime:errorCode$
      output.1.res.n.errormessage: $errors:VidInvalidRequestTime:errorMessage$
      output.1.res.n.id: $TestData:id_UpdateVid_valid$
    
  IdRepository_UpdateVidStatus_withInvalidVIDStatus_ForVidType_Perpetual:
    input.create-request:
      version: $version$
      requesttime: $TIMESTAMPZ$
      vidStatus: 1234
      id: $TestData:id_UpdateVid_valid$
    output.output-1-expected-n-res:
      output.1.res.n.version: $version$ 
      output.1.res.n.responsetime: $IGNORE$
      output.1.res.n.errorCode:  $errors:VidInvalidVidStatus:errorCode$
      output.1.res.n.errormessage: $errors:VidInvalidVidStatus:errorMessage$
      output.1.res.n.id: $TestData:id_UpdateVid_valid$
  
  IdRepository_UpdateVidStatus_withInvalidId_ForVidType_Perpetual:
    input.create-request:
      version: $version$
      requesttime: $TIMESTAMPZ$
      vidStatus: 1234
      id: $TestData:id_AddIdentity_Invalid$
    output.output-1-expected-n-res:
      output.1.res.n.version: $version$ 
      output.1.res.n.responsetime: $IGNORE$
      output.1.res.n.errorCode:  $errors:VidInvalidId:errorCode$
      output.1.res.n.errormessage: $errors:VidInvalidId:errorMessage$
      output.1.res.n.id: $TestData:id_UpdateVid_valid$
   
  IdRepository_UpdateVidStatus_withMissingverion_ForVidType_Perpetual:
    input.create-request:
      version: $REMOVE$
      requesttime: $TIMESTAMPZ$
      vidStatus: USED
      id: $TestData:id_UpdateVid_valid$
    output.output-1-expected-n-res:
      output.1.res.n.version: $version$ 
      output.1.res.n.responsetime: $IGNORE$
      output.1.res.n.errorCode:  $errors:VidMissingVersion:errorCode$
      output.1.res.n.errormessage: $errors:VidMissingVersion:errorMessage$
      output.1.res.n.id: $TestData:id_UpdateVid_valid$
  
  IdRepository_UpdateVidStatus_withMissingRequestTime_ForVidType_Perpetual:
    input.create-request:
      version: $version$
      requesttime: $REMOVE$
      vidStatus: USED
      id: $TestData:id_UpdateVid_valid$
    output.output-1-expected-n-res:
      output.1.res.n.version: $version$ 
      output.1.res.n.responsetime: $IGNORE$
      output.1.res.n.errorCode:  $errors:VidMissingRequestTime:errorCode$
      output.1.res.n.errormessage: $errors:VidMissingRequestTime:errorMessage$
      output.1.res.n.id: $TestData:id_UpdateVid_valid$
  
  IdRepository_UpdateVidStatus_withMissingVIDStatus_ForVidType_Perpetual:
    input.create-request:
      version: $version$
      requesttime: $TIMESTAMPZ$
      vidStatus: $REMOVE$
      id: $TestData:id_UpdateVid_valid$
    output.output-1-expected-n-res:
      output.1.res.n.version: $version$ 
      output.1.res.n.responsetime: $IGNORE$
      output.1.res.n.errorCode:  $errors:MissingVidStatus:errorCode$
      output.1.res.n.errormessage: $errors:MissingVidStatus:errorMessage$
      output.1.res.n.id: $TestData:id_UpdateVid_valid$
  
  IdRepository_UpdateVidStatus_withMissingId_ForVidType_Perpetual:
    input.create-request:
      version: $version$
      requesttime: $TIMESTAMPZ$
      vidStatus: 1234
      id: $REMOVE$
    output.output-1-expected-n-res:
      output.1.res.n.version: $version$ 
      output.1.res.n.responsetime: $IGNORE$
      output.1.res.n.errorCode:  $errors:VidMissingId:errorCode$
      output.1.res.n.errormessage: $errors:VidMissingId:errorMessage$
      output.1.res.n.id: $TestData:id_UpdateVid_valid$ 
  
  IdRepository_UpdateVidStatus_withVidStatus_REVOKE_for_USED VID_For Vid Type_Temporary:
    input.create-request:
      version: $version$
      requesttime: $TIMESTAMPZ$
      vidStatus: USED
      id: $TestData:id_UpdateVid_valid$
    output.output-1-expected-y-res:
      output.1.res.status: USED
      output.1.res.responsetime: $IGNORE$
      output.1.res.version: $version$
      output.1.res.VID: $IGNORE$
      output.1.res.id: $TestData:id_UpdateVid_valid$
      
  IdRepository_UpdateVidStatus_withVidStatus_REVOKE_for_USED VID_For Vid Type_Perpetual:
    input.create-request:
      version: $version$
      requesttime: $TIMESTAMPZ$
      vidStatus: REVOKED
      id: $TestData:id_UpdateVid_valid$
    output.output-1-expected-y-res:
      output.1.res.status: REVOKED
      output.1.res.responsetime: $IGNORE$
      output.1.res.version: $version$
      output.1.res.VID: $IGNORE$
      output.1.res.id: $TestData:id_UpdateVid_valid$
  
  IdRepository_UpdateVidStatus_withVidStatus_USED_For Vid Type_Temporary:
    input.create-request:
      version: v1
      requesttime: $TIMESTAMPZ$
      vidStatus: USED
      id: $TestData:id_UpdateVid_valid$
    output.output-1-expected-y-res:
      output.1.res.status: USED
      output.1.res.responsetime: $IGNORE$
      output.1.res.version: v1
      output.1.res.VID: $IGNORE$
      output.1.res.id: $TestData:id_UpdateVid_valid$
  